<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tool="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:id="@+id/containerOTP"
    android:orientation="vertical">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginStart="@dimen/margin_10"
        android:layout_marginTop="@dimen/margin_150"
        android:layout_marginEnd="@dimen/margin_10"
        android:orientation="vertical"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/txtSignUp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="@dimen/margin_5"
            android:text="@string/mobNoText"
            android:textColor="@color/black"
            android:textSize="@dimen/text_size_20"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/txtDigit"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/margin_10"
            android:layout_marginTop="@dimen/margin_5"
            android:textColor="@color/black"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/txtSignUp" />

        <TextView
            android:id="@+id/txtChangeNumber"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/margin_20"
            android:layout_marginStart="@dimen/margin_10"
            android:layout_marginTop="@dimen/margin_5"
            android:gravity="end"
            android:text="@string/txtChange"
            android:textColor="@color/blue1"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@id/txtDigit" />

        <TextView
            android:id="@+id/txtCode"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/margin_10"
            android:layout_marginTop="@dimen/margin_5"
            android:text="@string/code"
            android:textColor="@color/black"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/txtChangeNumber" />

        <LinearLayout
            android:id="@+id/otpLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:weightSum="6"
            android:gravity="center"
            android:orientation="horizontal"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/txtCode">

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/tlOTP1"
                android:layout_weight="1"
                android:gravity="center"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense"
                android:layout_width="0dp"
                android:layout_marginEnd="@dimen/margin_2"
                android:layout_height="wrap_content"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edtOTP1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:inputType="number"
                    android:textColor="@color/black"
                    android:textColorHint="@color/greyColor2"
                    android:textSize="@dimen/text_size_14"
                    tool:ignore="TextContrastCheck,SpeakableTextPresentCheck" />

            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/tlOTP2"
                android:layout_weight="1"
                android:layout_marginEnd="@dimen/margin_2"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense"
                android:layout_width="0dp"
                android:gravity="center"
                android:layout_height="wrap_content"
                app:layout_constraintStart_toEndOf="@+id/tlOTP1"
                app:layout_constraintTop_toTopOf="parent">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edtOTP2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:inputType="number"
                    android:textColor="@color/black"
                    android:textColorHint="@color/greyColor2"
                    android:textSize="@dimen/text_size_14"
                    tool:ignore="TextContrastCheck,SpeakableTextPresentCheck" />

            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/tlOTP3"
                android:layout_weight="1"
                android:layout_marginEnd="@dimen/margin_2"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:gravity="center"
                app:layout_constraintStart_toEndOf="@+id/tlOTP2"
                app:layout_constraintTop_toTopOf="parent">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edtOTP3"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:inputType="number"
                    android:textColor="@color/black"
                    android:textColorHint="@color/greyColor2"
                    android:textSize="@dimen/text_size_14"
                    tool:ignore="TextContrastCheck,SpeakableTextPresentCheck" />

            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/tlOTP4"
                android:layout_weight="1"
                android:layout_marginEnd="@dimen/margin_2"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:gravity="center"
                app:layout_constraintStart_toEndOf="@+id/tlOTP3"
                app:layout_constraintTop_toTopOf="parent">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edtOTP4"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:inputType="number"
                    android:textColor="@color/black"
                    android:textColorHint="@color/greyColor2"
                    android:textSize="@dimen/text_size_14"
                    tool:ignore="TextContrastCheck,SpeakableTextPresentCheck" />

            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/tlOTP5"
                android:layout_weight="1"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense"
                android:layout_width="0dp"
                android:gravity="center"
                android:layout_marginEnd="@dimen/margin_2"
                android:layout_height="wrap_content"
                app:layout_constraintStart_toEndOf="@+id/tlOTP4"
                app:layout_constraintTop_toTopOf="parent">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edtOTP5"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:inputType="number"
                    android:textColor="@color/black"
                    android:textSize="@dimen/text_size_14"
                    tool:ignore="TextContrastCheck,SpeakableTextPresentCheck" />

            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/tlOTP6"
                android:layout_weight="1"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense"
                android:layout_width="0dp"
                android:gravity="center"
                android:layout_marginEnd="@dimen/margin_2"
                android:layout_height="wrap_content"
                app:layout_constraintStart_toEndOf="@+id/tlOTP5"
                app:layout_constraintTop_toTopOf="parent">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edtOTP6"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:inputType="number"
                    android:textColor="@color/black"
                    android:textSize="@dimen/text_size_14"
                    tool:ignore="TextContrastCheck,SpeakableTextPresentCheck,TouchTargetSizeCheck" />

            </com.google.android.material.textfield.TextInputLayout>

        </LinearLayout>

        <TextView
            android:id="@+id/txtTimer"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/margin_5"
            android:layout_marginEnd="@dimen/margin_20"
            android:gravity="end"
            android:text="(00:30)"
            android:textColor="@color/black"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@id/otpLayout" />


        <com.google.android.material.button.MaterialButton
            android:id="@+id/btnSubmit"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/margin_30"
            android:layout_marginTop="@dimen/margin_50"
            android:layout_marginEnd="@dimen/margin_30"
            android:text="@string/submit"
            android:textColor="@color/white"
            android:backgroundTint="@color/red"
            app:cornerRadius="@dimen/margin_15"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/otpLayout" />


        <TextView
            android:id="@+id/txtTimerText"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/margin_10"
            android:layout_marginTop="@dimen/margin_40"
            android:gravity="center"
            android:text="@string/secondsTimer"
            android:textColor="@color/black"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/btnSubmit" />

        <TextView
            android:id="@+id/txtDidNotGetOTP"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/margin_50"
            android:layout_marginTop="@dimen/margin_15"
            android:text="@string/didNotGetOTP"
            android:textColor="@color/black"
            android:textSize="@dimen/text_size_16"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/txtTimerText" />

        <TextView
            android:id="@+id/txtResendOTP"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/margin_15"
            android:text="@string/resendOTP"
            android:textColor="@color/blue1"
            android:textSize="@dimen/text_size_16"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/txtDidNotGetOTP"
            app:layout_constraintTop_toBottomOf="@id/txtTimerText" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>